View Issue Details

IDProjectCategoryView StatusLast Update
00030243 - Current Dev ListBugpublic2019-02-02 23:12
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.188 
Summary0003024: "Default Scheme" files mention HB9DRV
DescriptionThese files:

DefaultScheme001.def
DefaultScheme002.def
DefaultScheme003.def


are installed by the product into the "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe" directory.

It's not clear that these files are needed. If they are not required, they should be removed from the product. If required, they should be cleaned up.

Steps To Reproduce1) install HRD
2) Go to the "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe" directory
3) examine the named files; they have a header something like this:

############################################################
#
#   Ham Radio Deluxe by Simon Brown, HB9DRV
#
#   Contents ..: Configuration Options
#   Created ...: 04/11/04 13:57:58
#
#   The contents of this file must not be changed if the
#   program is to operate correctly. To avoid problems,
#   please do NOT edit this file.
#
############################################################

TagsNo tags attached.
ModuleSetup
Sub-Module(select)
Testing Beta Successful

Relationships

Activities

K7ZCZ

2019-01-24 10:52

manager   ~0007071

These files are used by the layout editor in Rig Control. They're reachable with these steps:

1) Start up Rig Control. Demomatic radio is fine.
2) In the "View" menu, use the "Customize" tear-off to get to the "Radio Layout" command
3) In the resulting "Customize Layout" dalog, use the "Schemes" tab

The files define the layouts under "Scheme #1", "Scheme #2", and "Scheme #3".


This checkin updates the files to remove outdated information:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4759

g3ucq

2019-02-01 03:25

updater   ~0007193

Fixed

Issue History

Date Modified Username Field Change
2019-01-03 14:05 K7ZCZ New Issue
2019-01-24 10:52 K7ZCZ Assigned To => K7ZCZ
2019-01-24 10:52 K7ZCZ Status new => resolved
2019-01-24 10:52 K7ZCZ Resolution open => fixed
2019-01-24 10:52 K7ZCZ Note Added: 0007071
2019-01-29 22:47 K7ZCZ Fixed in Version => 6.5.0.188
2019-02-01 03:25 g3ucq Note Added: 0007193
2019-02-02 23:12 WA9PIE Status resolved => closed
2019-02-02 23:12 WA9PIE Steps to Reproduce Updated View Revisions
2019-02-02 23:12 WA9PIE Testing Not Started => Beta Successful